import { jsx } from "react/jsx-runtime";
import { TokenSWETH as TokenSWETH$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenSWETH = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "SWETH", "data-name": "TokenSWETH", ...props, children: /* @__PURE__ */ jsx(TokenSWETH$1, { variant }) });
  }
);
TokenSWETH.displayName = "TokenSWETH";
Object.assign(TokenSWETH, { isGdsIcon: true });
export {
  TokenSWETH
};
